Application: gvSIG desktop - gvSIG bugs #1268
Open a template created in Map fails
10/15/2012 01:47 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document layout

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG

2.- Click New Map

3.- Click in insert rectangle

4.- Draw two rectangles in the Map

5.- Click insert text

6.- Draw a rectangle in map,the Text Dialog Box is opened, write Template 1
7.- Click oK

8.- Click in insert north

9.- Draw a rectangle in Map

10.- Select symbol for represent the north

11.- Click Ok

12.- Select Map Menu

13.- Click Save as template

14.- Select name (template1) and folder

15.- Click Save

16.- Check the template is saved correctly template1.gvt
17.- Click New in Document type = Map

18.- Select Map Menu

19.- Select Open template

20.- Click to template saved 'template’

An error appears

Attached .log

1.- Abrir gvSIG

2.- Clic en Nuevo Mapa

3.- Clic en insertar rectangulo

4.- Dibujar dos rectéangulos en el Mapa

5.- Clic en Insertar texto

6.- Dibujar un rectangulo en el mapa, el cuadro de dialogo Texto se abre, escribir Plantilla 1
7.- Clic en Aceptar

8.- Clic en insertar Norte

9.- Dibujar un rectangulo en el mapa

10.- Seleccionar el simbolo para representar el norte
11.- Clic en Aceptar

12.- Seleccionar Menu Mapa

04/28/2024

1/2




13.- Clic en Guardar como plantilla

14.- Aplicar nombre (template1) y seleccionar la carpeta
15.- Clic en Guardar

16.- Comprobar que la plantilla se guarda correctamente
17.- Clic en Nuevo Mapa

18.- Seleccionar Menl Mapa

19.- Abrir plantilla

20.- Clic en la plantilla guardada 'template1 '

Aparece un error

Adjunto. log

History

#1 - 10/22/2012 10:19 AM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 10/25/2012 01:41 PM - Juan Lucas Dominguez

- Assignee set to Juan Lucas Dominguez

#3 - 10/25/2012 02:36 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

Fixed extension used for map templates and initialized tool to prevent NPE in LayoutEvents.

gvsig-app-document-layout:33

Test:

the steps described should now work.

#4 - 11/07/2012 01:35 PM - Abenchara Socorro

- Status changed from Fixed to Closed

Files

gvSIG.log 220 KB 10/15/2012
